Bug 248675 - claws-mail should build with libSM support
Summary: claws-mail should build with libSM support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 05:09 UTC by Kevin Fenzi
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.10.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 16:46:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Fenzi 2007-07-18 05:09:34 UTC
Happened to notice that claws-mail could use libSM, but doesn't seem to have it
as a BuildRequires. 

From the last build.log: 

checking whether to use LibSM... yes
checking for SmcSaveYourselfDone in -lSM... no
checking X11/SM/SMlib.h usability... no
checking X11/SM/SMlib.h presence... no
checking for X11/SM/SMlib.h... no
not found
configure: WARNING: *** LibSM will not be supported ***

Consider adding BuildRequires: libSM-devel

Comment 1 Fedora Update System 2007-07-18 20:54:55 UTC
claws-mail-2.10.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-07-19 16:46:28 UTC
claws-mail-2.10.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.